import request from '@/utils/request'

// 查询配方内容列表
export function listProcesscontent(query) {
  return request({
    url: '/technology/pro/recipecontent/list',
    method: 'get',
    params: query
  })
}

// 查询配方内容详细
export function getProcesscontent(contentId) {
  return request({
    url: '/technology/pro/recipecontent/' + contentId,
    method: 'get'
  })
}

// 新增配方内容
export function addProcesscontent(data) {
  return request({
    url: '/technology/pro/recipecontent',
    method: 'post',
    data: data
  })
}

// 修改配方内容
export function updateProcesscontent(data) {
  return request({
    url: '/technology/pro/recipecontent',
    method: 'put',
    data: data
  })
}

// 删除配方内容
export function delProcesscontent(contentId) {
  return request({
    url: '/technology/pro/recipecontent/' + contentId,
    method: 'delete'
  })
}
